import { jsx } from "react/jsx-runtime";
import { TokenSNFT as TokenSNFT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSNFT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SNFT", "data-name": "TokenSNFT", ...props, children: /* @__PURE__ */ jsx(TokenSNFT$1, { variant }) });
  }
);
TokenSNFT.displayName = "TokenSNFT";
Object.assign(TokenSNFT, { isGdsIcon: true });
export {
  TokenSNFT
};
